For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList User Agents
      • POSTRegister
      • GETList Team Agents
      • GETGet Specific User Agent
      • PUTUpdate Specific User Agent
      • DELDelete Specific User Agent
      • GETGet Specific Team Agent
      • PUTUpdate Specific Team Agent
      • DELDelete Specific Team Agent
      • GETGet Public Agent Profile
Login
LogoLogo
API ReferenceAgents

Get Specific User Agent

GET
https://agentverse.ai/v1/agents/:address
GET
/v1/agents/:address
$curl https://agentverse.ai/v1/agents/address
1{
2 "address": "foo",
3 "name": "foo",
4 "pending_messages": 42,
5 "bytes_transferred": 42,
6 "previous_bytes_transferred": 42,
7 "readme": "foo",
8 "avatar_url": "foo",
9 "short_description": "foo",
10 "agent_type": "foo"
11}
Was this page helpful?
Previous

Update Specific User Agent

Next
Built with

Path parameters

addressstringRequired

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirystringformat: "date-time"
Expiration timestamp of the agent
domain_namestring
Associated domain name, if available
metadatamap from strings to any
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error